ffmpeg for Ubuntu 14.04 LTS (mandatory for Alfresco)

ffmpegIn a past tutorial (one of the most accessed post of the blog) I shared a step by step tutorial describing the installation of Alfresco using an more controlled and “enterprise” approach respect to the bundle. The tutorial referrers to Alfresco Community Edition 4.2.c on Ubuntu 12.04 LTS and few days ago has been released the brand new Ubuntu 14.04 LTS Operating System.

Installing Alfresco as usual, I have found the FFmpeg is not included in the Ubuntu repositories and it has been replaced by libav (an ffmpeg fork of the project). For further details, you can read something here:

http://askubuntu.com/questions/432542/is-ffmpeg-missing-from-the-official-repositories-in-14-04

Waiting for an official answer from Alfresco, I found how to solve the problem. In particular, how to install ffmpeg on Ubuntu 14.04 LTS that is mandatory to make Alfresco works.

Other instructions on how to install Alfresco 4.2.f on Ubuntu 14.04 LTS are similar to the tutorial, so I don’t want to repeat them here (probably I’ll refresh the post in the future).

Coming to the solution…

To install ffmpeg on Ubuntu 14.04 LTS you have simply to open a terminal and execute the commands described below.

sudo apt-add-repository ppa:mc3man/trusty-media
sudo apt-get update
sudo apt-get install ffmpeg gstreamer0.10-ffmpeg

I hope this information will help you to install Alfresco with success in your environment. ;-)

Francesco Corti

About these ads

19 thoughts on “ffmpeg for Ubuntu 14.04 LTS (mandatory for Alfresco)

  1. Thanks a lot, worked fine. Running ffserver fails though due to “command not found”, though other commands are recognized (ffplay, ffmpeg, ffprobe). Any clues to a beginner…?

  2. Thank you so much. A demo i’m developing hinged on this and you saved my day. I posted your workaround on the qt forum as qtmultimedia uses ffmpeg as a backend and got broken on ubuntu 14.04. Grazie mille amico, sei un grande!!

  3. Thanks very much Francesco… if ever you’re in Wellington (NZ), I owe you a beer!

  4. so there referencing path would be: ffmpeg.exe=/usr/lib/x86_64-linux-gnu/gstreamer-0.10/libgstffmpeg.so ?

  5. Hi, if I do a release upgrade from 13.10 to 14.4, Alfresco 4.2.f will work fine as well?
    Thanks

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s